#include <system.h>

#include "serial.h"
#include "hw.h"
#include "bluetooth.h"
#include "spi.h"
#include "irq.h"

#include "display.h"

#pragma CLOCK_FREQ 80000000

#define resetAcc portc.0

char rxBuffer[32];
char rxCount = 0;
unsigned long ms_timer;
char buffer[8];


void PicInit(void){

	osccon = 0x60; //8 MHZ Clock
	ansel = 0;
	anselh = 0;
	//portc = 0xb7;
	portc = 0x6E;
	trisc = 0x90;
	//portb = 0xc0;
	//trisb = 0x30;

	initSerial(B38400);
//	initSerial(B9600);

	// Configure I/O pins (all output for now)
	DISPLAY_DATA_DDR = DIRECTION_OUTPUT;
	trisa = 0xe0;

/*
	DISPLAY_DATA = 0x00;
	DISPLAY_E = 0;
	DISPLAY_RW = 0;
	DISPLAY_RS = 0;
	DISPLAY_RST = 0;
	DISPLAY_CS = 0;
*/
}





void main (void)
{

	unsigned char i, XX, xx, YY, yy, ZZ, zz, Data;
	char temp;

	PicInit();
	//init_SPI();
	initIRQ();

//	BT_Start();

	/*
	//Only run this part if you want to change settings of the bluetooth module
	//---------------------------------------------------------------------
	delay_s(1);
	BT_CloseConnection();
	delay_ms(100);
	
	BT_EnterHCM();
	//BT_SetSerialPortConfig(b38400,on ,no_parity, 8, 1) (not tested yet)
	BT_SetLocalBluetoothName("Nisse2");
	BT_RunReboot();
	
	while(1);
	//----------------------------------------------------------------------
	*/
//	BT_OpenConnection();
//	delay_ms(100);

	trise.0 = 0;
	trise.1 = 0;
	trise.2 = 0;

	porte = 0x00;

	display_initialize();

	display_clear();
/*
	display_set_pixel(10, 10, 1);

	for (i = 0; i < 128; ++i) {
		display_set_pixel(i, 0, 1);
		delay_ms(20);
	}

	for (i = 0; i < 128; ++i) {
		display_set_pixel(i, 63, 1);
		delay_ms(20);
	}
*/

	//display_bitmap(braxattack0, braxattack1, braxattack2, braxattack3);
	display_draw_line(1,1,20,50);

display_draw_line(0,0,0,63);
display_draw_line(0,63,127,63);
display_draw_line(127,63,127,0);
display_draw_line(127,0,0,0);
display_draw_character (10,10, DISPLAY_FONT_LARGE, '3');

	i = 0;
	
	while(1)
	{
		i++;
	    delay_ms(5);
		porte = 0x07 & i;
		
		if(i>7)
			i=0;
	
	}
}
