//hw.h
#ifndef __HW_H
#define __HW_H
#include "system.H"

//#pragma bit csMemory @ PORTC.1
#define csMemory portc.0
//#pragma bit csAcc @ PORTC.0
#define csAcc portc.1

#define ENABLE 	0 
#define DISABLE 	1 

//#pragma bit Led @ portc.2
#define Led portc.2
//#pragma bit resetAcc @ portc.6
#define resetAcc portc.0
//#pragma bit Button @ portc.3
#define Button portc.3

#define High 	1 
#define Low 	0
#define SPI_CSB 0x04
#define SPI_PORT PORTB
#define SCA3000_MODE_REG_READ (0x14*4)
#define SCA3000_MODE_REG_WRITE (0x14*4+1*2)
#define SCA3000_FREEFALL 0x10


void writeMemoryArray(unsigned char dataByte, unsigned char AdressH, unsigned char AdressL);
unsigned char readMemoryArray(unsigned char AdressH, unsigned char AdressL);
unsigned char readAcc(char axis, char frame);



int SCA3000_read_mode(void);

void SCA3000_Enable_FreeFall_Detection(void);

#endif

